# % global selint_pre_ver rc
# % global gitver f1e5b20

%global sepol_ver 2.3-1
%global selinux_ver 2.3-1


Name:           selint
Version:        1.1.0
Release:        2%{?selint_pre_ver:.%{selint_pre_ver}}%{?dist}
Summary:        Static code analysis tool for SELinux policy source files

License:        Apache-2.0
URL:            https://github.com/TresysTechnology/selint/wiki
Source0:        https://github.com/TresysTechnology/selint/releases/download/v%{version}%{?selint_pre_ver:-%{selint_pre_ver}}/%{name}-%{version}%{?selint_pre_ver:-%{selint_pre_ver}}.tar.gz
Patch0:         0001-Allow-refpolicywarn-anywhere-in-support_def.patch
#Patch0001:      selint.patch
#Patch1002:      1002-Do-not-export-use-selint.InfoFlowAnalysis-and-setoo.patch
#Patch1003:      1003-Require-networkx-on-package-level.patch
BuildRequires:  flex,  bison
BuildRequires:  glibc-devel, gcc, git
BuildRequires:  libsepol-devel >= %{sepol_ver}, libsepol-static >= %{sepol_ver}
BuildRequires:  automake
BuildRequires:  autoconf, autoconf-archive
BuildRequires:  check, check-devel
BuildRequires:  libconfuse, libconfuse-devel
BuildRequires:  check, check-devel
BuildRequires:  uthash-devel


%description
SELint is a program to perform static code analysis on SELinux policy source
files. SELint seeks to help policy developers write policy that is more
maintainable, readable and secure, and to reduce the time spent debugging
challenging policy issues.

%prep
%setup -q -n %{name}-%{version}
%autosetup -p 1


%build
%configure
#    --prefix=""
#    --exec-prefix=%{_localstatedir}/lib/%{name} \
#    --libdir=%{_libdir}/%{name} \
#    --bindir=%{_sbindir} \
#    --datadir=%{_datadir}/%{name}/html \


%make_build


%install
%make_install

%check

%files
# {_bindir}/selint
%{_usr}/bin/selint
# {_sysconfdir}/selint
# {_usr}/local/etc/selint.conf
/etc/selint.conf
%license LICENSE

%changelog
* Tue Sep 22 2020 Vit Mojzis <vmojzis@redhat.com> - 1.1.0-1}
- First build
